base-unicode-symbols-0.2.2.4: Unicode alternatives for common functions and operators

Copyright | 2009–2011 Roel van Dijk
License | BSD3 (see the file LICENSE)
Maintainer | Roel van Dijk <vandijk.roel@gmail.com>
Safe Haskell | Safe
Language | Haskell98

Data.Bool.Unicode

Description

Synopsis

- (∧) :: Bool -> Bool -> Bool
- (∨) :: Bool -> Bool -> Bool
- (¬) :: Bool -> Bool

# Documentation

(∧) :: Bool -> Bool -> Bool infixr 3 #

(∧) = (`&&`)

U+2227, LOGICAL AND

(∨) :: Bool -> Bool -> Bool infixr 2 #

(∨) = (`||`)

U+2228, LOGICAL OR

(¬) :: Bool -> Bool #

(¬) = `not`

U+00AC, NOT SIGN